import BaseItem from "./base-item.mjs";

const {
    BooleanField,
    NumberField,
    SchemaField,
    ArrayField,
    StringField,
    HTMLField,
    ObjectField
} = foundry.data.fields;

export class SpecialAbilityDataModel extends BaseItem {

    static defineSchema() {
        return {
            name: new StringField(),
            seite: new NumberField(),
            aktionsText: new HTMLField(),
            text: new HTMLField(),
            requirements: new ObjectField(), // TODO something more meaningful with this data
            waffenLimit: new ArrayField(
                new StringField(),
            ),
            mehrereAktionen: new BooleanField(),
        }
    }
}
